# ansible

Currently Ansible configurations for `ataraxia`, although I'll also apply them to Tycho & future devices.

## Start

1. Don't
2. `curl https://git.earne.link/earnestma/ansible/raw/branch/main/ensure.sh | sh`
3. Clone the repository and enter it
4. Execute the main playbook: `ansible-playbook run.yml -K`

To run usual updates: `ansible-playbook update.yml -K`

## Contributing

- `git config core.hooksPath .git-hooks`

## After first time run

- Restore all/specific files from a backup, if needed
- Dotfiles
- Grab ssh, gpg, and pash folder (from backup/existing device)
- Any config file that contains secrets? (eg aerc's accounts.conf, wakatime/wakapi, mbsync, etc.??)
- Restart!
- Configure and run backups!
- configure GUI apps! (such as calibre/firefox/etc., if not restored): `check Fresh_install_apps_config.md`
